<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [RemoteRepository](./git-documentdb.remoterepository.md) &gt; [create](./git-documentdb.remoterepository.create.md)

## RemoteRepository.create() method

Create a repository on a remote site

<b>Signature:</b>

```typescript
create(): Promise<void>;
```
<b>Returns:</b>

Promise&lt;void&gt;

## Exceptions

[UndefinedPersonalAccessTokenError](./git-documentdb.undefinedpersonalaccesstokenerror.md)

[PersonalAccessTokenForAnotherAccountError](./git-documentdb.personalaccesstokenforanotheraccounterror.md)

[CannotConnectError](./git-documentdb.cannotconnecterror.md)

may include the following errors:

- HttpError

- Authentication error

- Permission error

- Other network errors

[AuthenticationTypeNotAllowCreateRepositoryError](./git-documentdb.authenticationtypenotallowcreaterepositoryerror.md)

## Remarks

connection.type must be 'github'

